import Vue from 'vue'
import App from './App'
import store from './store' // 引入 vuex

// 听云配置
const monitor = require('./tingyun-mp-agent.js');
  monitor.config({
    beacon: 'https://beacon-mp.tingyun.com',
    key: '3eAqVFltDOs',
    id: 'sa9cwEuaPL4',
    sampleRate: 1
})

Vue.config.productionTip = false

App.mpType = 'app'

//将一些常用的方法定义在过滤器上
import * as filters from './utiils/filters.js'
Object.keys(filters).forEach(e => {
	Vue.filter(e, filters[e])
});

const app = new Vue({
    ...App,
	store
})
app.$mount()
